QuerySecurityBase (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.security.query

## Class QuerySecurityBase

- java.lang.Object
- - org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase
  - - org.apache.geode.security.query.QuerySecurityBase

- All Implemented Interfaces:
    java.io.Serializable, org.apache.geode.test.dunit.internal.DistributedTestFixture

      public abstract class QuerySecurityBase
      extends org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.geode.test.dunit.Host` | `host`
    `protected java.lang.Object[]` | `keys`
    `protected java.lang.String` | `regionName`
    `org.apache.geode.test.junit.rules.ServerStarterRule` | `server`
    `protected org.apache.geode.test.dunit.VM` | `specificUserClient`
    `protected org.apache.geode.test.dunit.VM` | `superUserClient`
    `protected UserPermissions` | `userPerms`
    `protected java.lang.Object[]` | `values`

    - ### Fields inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `system, testNameForDistributedTestCase`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuerySecurityBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `assertExceptionOccurred(QueryService qs, java.lang.String query, java.lang.Object[] bindParams, java.lang.String authErrorRegexp)`
    `protected void` | `assertExceptionOccurred(QueryService qs, java.lang.String query, java.lang.String authErrorRegexp)`
    `protected void` | `assertQueryResults(ClientCache clientCache, java.lang.String query, java.util.List<java.lang.Object> expectedResults)`
    `protected void` | `assertQueryResults(ClientCache clientCache, java.lang.String queryString, java.lang.Object[] bindParameters, java.util.List<java.lang.Object> expectedResults)`
    `void` | `closeAnyPollutedCache()`
    `void` | `closeClientCache(org.apache.geode.test.dunit.VM vm)`
    `void` | `closeClientCaches()`
    `void` | `configureTest()`
    `void` | `createClientCache(org.apache.geode.test.dunit.VM vm, java.lang.String userName, java.lang.String password)`
    `void` | `createProxyRegion(org.apache.geode.test.dunit.VM vm, java.lang.String regionName)`
    `void` | `executeAndConfirmRegionMatches(org.apache.geode.test.dunit.VM vm, java.lang.String regionName, java.util.List<java.lang.Object> expectedRegionResults)`
    `protected void` | `executeQueryWithCheckForAccessPermissions(org.apache.geode.test.dunit.VM vm, java.lang.String query, java.lang.String regionName, java.util.List<java.lang.Object> expectedSuccessfulQueryResults)`
    `protected void` | `executeQueryWithCheckForAccessPermissions(org.apache.geode.test.dunit.VM vm, java.lang.String query, java.lang.String regionName, java.lang.String regexForExpectedExceptions)`
    `ClientCache` | `getClientCache()`
    `RegionShortcut` | `getRegionType()`
    `protected void` | `putIntoRegion(org.apache.geode.test.dunit.VM vm, java.lang.Object[] keys, java.lang.Object[] values, java.lang.String regionName)`
    `void` | `setClientCache(ClientCache cache)`

    - ### Methods inherited from class org.apache.geode.test.dunit.internal.JUnit4DistributedTestCase

      `basicGetSystem, cleanDiskDirs, cleanupAllVms, deleteBACKUPDiskStoreFile, destroyRegions, disconnectAllFromDS, disconnectFromDS, getBlackboard, getDistributedSystemProperties, getLonerSystem, getName, getSystem, getSystem, getSystemStatic, getTestClass, getTestMethodName, getUniqueName, initializeBlackboard, initializeDistributedTestCase, isConnectedToDS, nullSystem, postSetUp, postTearDown, postTearDownAssertions, preSetUp, preTearDown, preTearDownAssertions, setSystem, setUpDistributedTestCase, tearDownDistributedTestCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### regionName

          protected java.lang.String regionName

    - #### keys

          protected java.lang.Object[] keys

    - #### values

          protected java.lang.Object[] values

    - #### server

          public org.apache.geode.test.junit.rules.ServerStarterRule server

    - #### userPerms

          protected transient UserPermissions userPerms

    - #### host

          protected org.apache.geode.test.dunit.Host host

    - #### superUserClient

          protected org.apache.geode.test.dunit.VM superUserClient

    - #### specificUserClient

          protected org.apache.geode.test.dunit.VM specificUserClient

  - ### Constructor Detail

    - #### QuerySecurityBase

          public QuerySecurityBase()

  - ### Method Detail

    - #### getRegionType

          public RegionShortcut getRegionType()

    - #### configureTest

          public void configureTest()

    - #### closeAnyPollutedCache

          public void closeAnyPollutedCache()

    - #### setClientCache

          public void setClientCache(ClientCache cache)

    - #### getClientCache

          public ClientCache getClientCache()

    - #### createClientCache

          public void createClientCache(org.apache.geode.test.dunit.VM vm,
                                        java.lang.String userName,
                                        java.lang.String password)

    - #### createProxyRegion

          public void createProxyRegion(org.apache.geode.test.dunit.VM vm,
                                        java.lang.String regionName)

    - #### closeClientCaches

          public void closeClientCaches()

    - #### closeClientCache

          public void closeClientCache(org.apache.geode.test.dunit.VM vm)

    - #### assertExceptionOccurred

          protected void assertExceptionOccurred(QueryService qs,
                                                 java.lang.String query,
                                                 java.lang.String authErrorRegexp)

    - #### assertExceptionOccurred

          protected void assertExceptionOccurred(QueryService qs,
                                                 java.lang.String query,
                                                 java.lang.Object[] bindParams,
                                                 java.lang.String authErrorRegexp)

    - #### assertQueryResults

          protected void assertQueryResults(ClientCache clientCache,
                                            java.lang.String query,
                                            java.util.List<java.lang.Object> expectedResults)
                                     throws FunctionDomainException,
                                            TypeMismatchException,
                                            NameResolutionException,
                                            QueryInvocationTargetException

      Throws:
        `FunctionDomainException`
        `TypeMismatchException`
        `NameResolutionException`
        `QueryInvocationTargetException`

    - #### assertQueryResults

          protected void assertQueryResults(ClientCache clientCache,
                                            java.lang.String queryString,
                                            java.lang.Object[] bindParameters,
                                            java.util.List<java.lang.Object> expectedResults)
                                     throws FunctionDomainException,
                                            TypeMismatchException,
                                            NameResolutionException,
                                            QueryInvocationTargetException

      Throws:
        `FunctionDomainException`
        `TypeMismatchException`
        `NameResolutionException`
        `QueryInvocationTargetException`

    - #### executeAndConfirmRegionMatches

          public void executeAndConfirmRegionMatches(org.apache.geode.test.dunit.VM vm,
                                                     java.lang.String regionName,
                                                     java.util.List<java.lang.Object> expectedRegionResults)
                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### putIntoRegion

          protected void putIntoRegion(org.apache.geode.test.dunit.VM vm,
                                       java.lang.Object[] keys,
                                       java.lang.Object[] values,
                                       java.lang.String regionName)

    - #### executeQueryWithCheckForAccessPermissions

          protected void executeQueryWithCheckForAccessPermissions(org.apache.geode.test.dunit.VM vm,
                                                                   java.lang.String query,
                                                                   java.lang.String regionName,
                                                                   java.util.List<java.lang.Object> expectedSuccessfulQueryResults)

    - #### executeQueryWithCheckForAccessPermissions

          protected void executeQueryWithCheckForAccessPermissions(org.apache.geode.test.dunit.VM vm,
                                                                   java.lang.String query,
                                                                   java.lang.String regionName,
                                                                   java.lang.String regexForExpectedExceptions)